#!/bin/bash

# This example shows that CTRL+C presses are recorded by vhistify and passed
# to the executed program. You can interrupt your commandline program with
# CTRL+C as you would normally.
#
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable error checking
source ../common/tools.bash

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists bash

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

vhistify --title="Keyboard Interrupt Test" -- bash wait.bash

# ------------- EXAMPLE ENDS HERE ------------------

