
% read a text file
fprintf('reading input file...\n');
f = fopen('input.txt', 'rb');
content = char(fread(f))';
fclose(f);

% write another text file
fprintf('writing output file...\n');
f2 = fopen('output.txt', 'wb');
fwrite(f2, upper(content));
fclose(f2);

% read an image
fprintf('reading image...\n');
img = imread('sunset.jpg');

img2 = rgb2gray(img);

% write an image to disk. vhistify will include this image as a preview
fprintf('writing generated image...\n');
imwrite(img2, 'sunset-grau.jpg')

