#!/bin/bash

# This example shows how to document Python scripts, which use the
# multiproccessing package, with vhistify. In fact, no changes are needed
# in comparisson to a normal Python script.
# 
# THE FIRST LINES OF THIS FILE TEST THAT ALL PROGRAMS AND FILES NEEDED BY
# THIS EXAMPLE ARE AVAILABLE. THESE LINES ARE NOT PART OF THE EXAMPLE.
# YOU CAN JUST IGNORE THEM. THE EXAMPLE BEGINS BELOW THIS SECTION.

set -e # enable error checking
source ../common/tools.bash

# check if everything is set up correctly
check-if-program-exists vhistify
check-if-program-exists python

# ------------ EXAMPLE BEGINS HERE ----------------

export VHISTIFY_RENAME_OLD_VHISTFILES=true

vhistify --title="Python Example" --plugins="nf,python" -- python test.py

# ------------- EXAMPLE ENDS HERE ------------------

