
class Default(object):
    def __init__(self, func):
        self.func = func
        self.__doc__ = func.__doc__
    
    def __repr__(self):
        return self.func.__name__ + "()"
    
    def __call__(self):
        return self.func()


def default(func):
    return Default(func)


