
import os

import runprocess
import utils

VHISTIFY_VERSION = "1.84.0.3018 of Jun 28 2013"

def getVersion():
    if VHISTIFY_VERSION == "$VHIST_" + "VERSION":
        # repo-root/code/vhistify => repo-root
        repoDir = os.path.join(utils.getAppDir(), "../../")
        (ret, stdout, stderr) = runprocess.runProcess("svnversion %", repoDir)
        if ret == 0:
            return "developer version %s" % stdout.strip()
        else:
            return "unknown version"
    return VHISTIFY_VERSION

